# openBaseWebSocketFlow

inline fun < T : Any > openBaseWebSocketFlow (noinline checkReconnection: suspend ( Throwable ?) -> Boolean = { true }, noinline webSocketSessionRequest: suspend SendChannel< T >.() -> Unit ): Flow< T >(source)

#### Parameters

checkReconnection

This lambda will be called when it is required to reconnect to websocket to establish connection. Must return true in case if must be reconnected. By default always reconnecting